/**
 * 响应式布局
 * 大屏 最大 1360
 * 中屏 990-1360
 * 小屏 最小 990
 */

/* 大屏：1360px及以上 */
@media (min-width: 1360px) {
  .container,
  .nav_content,main {
    max-width: 1360px;
  }
  .tool_box {
    max-width: 1378px;
  }
  .tool_type li{
    min-width: 112px;
  }
  .features{
    width: 1360px;
  }
}

/* 中屏：990px - 1359px */
@media (min-width: 990px) and (max-width: 1359px) {
  .container,
  .nav_content,main {
    max-width: 1200px;
  }
  .features{
    width: 1000px;
  }
  .tool_box {
    max-width: 1215px;
  }
   .tool_type li{
    min-width: 100px;
  }
}

/* 小屏：小于990px */
@media (max-width: 989px) {
  .container,
  .nav_content,
  .tool_box,main {
    max-width: 100%;
  }
  .nav_content{
    min-width: 800px;
  }
  .tool_type li{
    min-width: 100px;
  }
}
body {
  background: radial-gradient(
    circle 900px at center 600px,
    #d8d8fd 0%,
    #ffffff 100%
  );
}
.nav_content{
  margin: 0 auto;
}
/* 容器 */
.container {
  width: 1360px;
  margin: 0 auto;
  position: relative;
  overflow: hidden;
}
nav {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  margin: auto;

  z-index: 99;
  width: 100%;
}
.scroll-nav {
  background-color: #ffffff;
  box-shadow: 0px 4px 20px 0px #0000000d;
}

/* 导航栏 */
nav li a {
  color: #111111;
  font-weight: 500;
  font-size: 16px;
}
nav li a:hover {
  color: #3173f3 !important;
  font-weight: bold !important;
}
.active > a {
  color: #3173f3 !important;
  font-weight: bold !important;
}

/* 内容 下载 */
main{
  margin:0 auto;
}
main .download_box {
  display: inline-flex;
}
main .download_box .button {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
main .download_box a {
  color: #ffffff;
}
main .download_box span {
  color: #666666;
  margin-top: 10px;
  font-size: 14px;
}
main .apply,
.download {
  display: inline-block;
  width: 218px;
  height: 65px;
  line-height: 65px;
  text-align: center;
  border-radius: 100px;
  background-color: #000000;
}
main .button:last-child {
  margin-left: 50px;
}
main .download {
  background-color: #3173f3;
}

/* 卡片 */
main .card_box {
  display: flex;
  flex-wrap: wrap;
  gap: 30px;
  justify-content: center;
  margin-top: 80px;
}
main .card_box .card {
  width: 317px;
  height: 204px;
  border-radius: 30px;
  background-color: #ffffff;
  padding: 30px;
}
main .card_box .card_title {
  display: flex;
  font-size: 24px;
  align-items: center;
  margin-bottom: 20px;
}
main .card_box .card_title img {
  margin-left: 10px;
}
main .card_box .card .desc {
  color: #666666;
  font-size: 16px;
  text-align: left;
}
/* 平台卡片 */
.platform_card_box {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 40px;
}
.platform_card {
  /* width: 427px; */
  width: 100%;
  height: 286px;
  border-radius: 30px;
  background: url("../image/index/platform_bg.svg");
  background-size: cover;
  padding: 0 30px;
  cursor: pointer;
}
.platform_card:hover {
  background: url("../image/index/platform_bg_active.svg");
  background-size: cover;
}
.platform_card .card_title {
  font-weight: Bold;
  font-size: 40px;
  display: flex;
  color: #fff;
  align-items: center;
  justify-content: space-between;
}
.platform_card .card_title img {
  width: 120px;
  margin-right: -20px;
}
.platform_card .desc {
  text-align: left;
  color: #ffffff;
  margin-top: 20px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.platform_card_box .more:hover {
  cursor: default;
  background: url("../image/index/platform_bg.svg") !important;
  background-size: cover !important;
}

/* 工具市场 */
.tool_type {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
}
.tool_type li {
  height: 49px;
  line-height: 49px;
  text-align: center;
  font-size: 20px;
  color: #333333;
  background-color: #f8f8f8;
  border-radius: 100px;
  cursor: pointer;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.tool_type li.active {
  background-color: #3173f3;
  color: #ffffff;
}

.tool_type li:hover {
  background-color: #3173f3;
  color: #ffffff;
}
.swiper-slide {
  display: grid;
  grid-template-columns: repeat(3, calc(100% / 3 - 30px));
  justify-content: center;
  overflow: hidden;
  gap: 40px;
}

.tool_box {
  margin: 0 auto;
}
.tool_box .card_item {
  width: calc(100% / 3 - 40px);
  width: 100%;
  height: 214px;
  border: 1px solid #dddddd;
  padding: 30px;
  border-radius: 10px;
  cursor: pointer;
  margin-right:40px;
}
.tool_box .card_item .title {
  display: flex;
  align-items: center;
  margin-bottom: 20px;
}
.tool_box .card_item .title span {
  font-weight: 700;
  font-style: Bold;
  font-size: 20px;
  color: #222222;
  margin-left: 10px;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}
.tool_box .desc {
  font-size: 16px;
  color: #999999;
  text-align: left;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  margin-bottom: 20px;
  height: 49px;
}
.tool_box .hot_num {
  display: flex;
  justify-content: flex-end;
  gap: 20px;
}
.tool_box .hot_num div {
  display: flex;
  align-items: center;
  color: #999999;
}
.tool_box .hot_num div img {
  margin-right: 4px;
}
/* 分页 */
.pagination {
  position: relative;
  width: 226px;
  margin: 65px auto 70px;
}
.pagination .active {
  width: 32px;
  height: 8px;
  border-radius: 8px;
  background-color: #0665ff;
}
.pagination .switch {
  cursor: pointer;
  width: 88px;
  height: 50px;
}
.pagination .switch::after {
  display: none;
}
.swiper-pagination {
  display: flex;
  gap: 8px;
}
.swiper-pagination-bullet {
  background-color: #cbdaf3 !important;
  height: 8px !important;
  width: 8px !important;
  opacity: 1 !important;
}
.swiper-pagination-bullet-active {
  background-color: #0665ff !important;
  width: 32px !important;
  height: 8px !important;
  border-radius: 8px !important;
}

/* 内测 */
.internal_test {
  position: fixed;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.5);
  justify-content: center;
  align-items: center;
  z-index: 999999;
  width: 100%;
  height: 100%;
  display: none;
}
.show {
  display: flex;

}
.show .content {
  transform: scale(1);
  transition-delay: 0.2s;
}
.internal_test .content {
  width: 480px;
  height: 445px;
  background: url(../image/index/internal_test_bg.png);
  background-size: contain;
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  transform: scale(0.8);
  transition: transform 0.5s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}
.internal_test .qrcode {
  width: 240px;
  height: 240px;
  border-radius: 20px;
  background-color: rgba(255, 255, 255, 0.8);
  display: flex;
  justify-content: center;
  align-items: center;
}
.internal_test .close {
  position: absolute;
  right: 30px;
  top: 30px;
  cursor: pointer;
}
.swiper-button-next.swiper-button-disabled, .swiper-button-prev.swiper-button-disabled{
  opacity: 1 !important;
}
.swiper-button-next{
  right: -25px !important;
}
.swiper-button-prev{
  left: -25px !important;
}
/*底部*/
footer article div img{
  border-radius: 20px ;
  overflow: hidden;
}

.copyright{
  display: flex;
  justify-content: center;
  
}
.copyright div{
  cursor: pointer;
}
